com.cybozu.labs.langdetect

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - com.cybozu.labs.langdetect.ErrorCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ErrorCode>

       enum ErrorCode
      extends java.lang.Enum<ErrorCode>

  Author:
    Nakatani Shuyo

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CantDetectError`
    `CantOpenTrainData`
    `DuplicateLangError`
    `FileLoadError`
    `FormatError`
    `InitParamError`
    `NeedLoadProfileError`
    `NoTextError`
    `TrainDataFormatError`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoTextError

          public static final ErrorCode NoTextError

    - #### FormatError

          public static final ErrorCode FormatError

    - #### FileLoadError

          public static final ErrorCode FileLoadError

    - #### DuplicateLangError

          public static final ErrorCode DuplicateLangError

    - #### NeedLoadProfileError

          public static final ErrorCode NeedLoadProfileError

    - #### CantDetectError

          public static final ErrorCode CantDetectError

    - #### CantOpenTrainData

          public static final ErrorCode CantOpenTrainData

    - #### TrainDataFormatError

          public static final ErrorCode TrainDataFormatError

    - #### InitParamError

          public static final ErrorCode InitParamError

  - ### Method Detail

    - #### values

          public static ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorCode c : ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null